> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minaexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get block

> Return a block by protocol state hash



## OpenAPI

````yaml rest-api/openapi.json get /blocks/{state_hash}
openapi: 3.0.0
info:
  title: REST API
  version: '1.0'
  contact:
    name: 'MinaExplorer '
    email: support@minaexplorer.com
    url: https://docs.minaexplorer.com/minaexplorer/get-help
  termsOfService: https://docs.minaexplorer.com/minaexplorer/website-terms-of-service
  description: >-
    A REST API for the latest Mina Blockchain Data. For all archived data, use
    the GraphQL API.
servers:
  - url: https://api.minaexplorer.com
security: []
tags:
  - name: broadcast
    description: Broadcast signed transactions to the network
  - name: blocks
    description: Get block data
  - name: accounts
    description: Get account data
  - name: blockchain
    description: Return summary information about the blockchain
paths:
  /blocks/{state_hash}:
    parameters:
      - schema:
          type: string
        name: state_hash
        in: path
        description: The protocol state hash of the block to be returned
        required: true
    get:
      tags:
        - blocks
      summary: Get block
      description: Return a block by protocol state hash
      operationId: get-blocks-state_hash
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  block:
                    type: object
                    required:
                      - blockHeight
                      - canonical
                      - creator
                      - creatorAccount
                      - dateTime
                      - protocolState
                      - receivedTime
                      - stateHash
                      - stateHashField
                      - transactions
                      - winnerAccount
                    properties:
                      blockHeight:
                        type: number
                      canonical:
                        type: boolean
                      creator:
                        type: string
                        minLength: 1
                      creatorAccount:
                        type: object
                        properties:
                          publicKey:
                            type: string
                            minLength: 1
                        required:
                          - publicKey
                      dateTime:
                        type: string
                        minLength: 1
                      protocolState:
                        type: object
                        properties:
                          blockchainState:
                            type: object
                            required:
                              - date
                              - snarkedLedgerHash
                              - stagedLedgerHash
                              - utcDate
                            properties:
                              date:
                                type: number
                              snarkedLedgerHash:
                                type: string
                                minLength: 1
                              stagedLedgerHash:
                                type: string
                                minLength: 1
                              utcDate:
                                type: number
                          consensusState:
                            type: object
                            required:
                              - blockHeight
                              - blockchainLength
                              - epoch
                              - epochCount
                              - hasAncestorInSameCheckpointWindow
                              - lastVrfOutput
                              - minWindowDensity
                              - nextEpochData
                              - slot
                              - slotSinceGenesis
                              - stakingEpochData
                              - totalCurrency
                            properties:
                              blockHeight:
                                type: number
                              blockchainLength:
                                type: number
                              epoch:
                                type: number
                              epochCount:
                                type: number
                              hasAncestorInSameCheckpointWindow:
                                type: boolean
                              lastVrfOutput:
                                type: string
                                minLength: 1
                              minWindowDensity:
                                type: number
                              nextEpochData:
                                type: object
                                required:
                                  - epochLength
                                  - ledger
                                  - lockCheckpoint
                                  - seed
                                  - startCheckpoint
                                properties:
                                  epochLength:
                                    type: number
                                  ledger:
                                    type: object
                                    required:
                                      - hash
                                      - totalCurrency
                                    properties:
                                      hash:
                                        type: string
                                        minLength: 1
                                      totalCurrency:
                                        type: number
                                  lockCheckpoint:
                                    type: string
                                    minLength: 1
                                  seed:
                                    type: string
                                    minLength: 1
                                  startCheckpoint:
                                    type: string
                                    minLength: 1
                              slot:
                                type: number
                              slotSinceGenesis:
                                type: number
                              stakingEpochData:
                                type: object
                                required:
                                  - epochLength
                                  - ledger
                                  - lockCheckpoint
                                  - seed
                                  - startCheckpoint
                                properties:
                                  epochLength:
                                    type: number
                                  ledger:
                                    type: object
                                    required:
                                      - hash
                                      - totalCurrency
                                    properties:
                                      hash:
                                        type: string
                                        minLength: 1
                                      totalCurrency:
                                        type: number
                                  lockCheckpoint:
                                    type: string
                                    minLength: 1
                                  seed:
                                    type: string
                                    minLength: 1
                                  startCheckpoint:
                                    type: string
                                    minLength: 1
                              totalCurrency:
                                type: number
                          previousStateHash:
                            type: string
                            minLength: 1
                        required:
                          - blockchainState
                          - consensusState
                          - previousStateHash
                      receivedTime:
                        type: string
                        minLength: 1
                      snarkJobs:
                        type: array
                        uniqueItems: true
                        minItems: 1
                        items:
                          type: object
                          properties:
                            blockHeight:
                              type: number
                            blockStateHash:
                              type: string
                              minLength: 1
                            dateTime:
                              type: string
                              minLength: 1
                            fee:
                              type: number
                            prover:
                              type: string
                              minLength: 1
                            workIds:
                              type: array
                              items:
                                type: object
                          required:
                            - blockHeight
                            - blockStateHash
                            - dateTime
                            - fee
                            - prover
                      stateHash:
                        type: string
                        minLength: 1
                      stateHashField:
                        type: string
                        minLength: 1
                      transactions:
                        type: object
                        properties:
                          coinbase:
                            type: number
                          coinbaseReceiverAccount:
                            type: object
                            properties:
                              publicKey:
                                type: string
                                minLength: 1
                            required:
                              - publicKey
                          feeTransfer:
                            type: array
                            uniqueItems: true
                            minItems: 1
                            items:
                              type: object
                              properties:
                                fee:
                                  type: number
                                recipient:
                                  type: string
                                  minLength: 1
                              required:
                                - fee
                                - recipient
                          userCommands:
                            type: array
                            uniqueItems: true
                            minItems: 1
                            items:
                              type: object
                              properties:
                                amount:
                                  type: number
                                blockHeight:
                                  type: number
                                blockStateHash:
                                  type: string
                                  minLength: 1
                                dateTime:
                                  type: string
                                  minLength: 1
                                fee:
                                  type: number
                                feePayer:
                                  type: object
                                  properties:
                                    publicKey:
                                      type: string
                                      minLength: 1
                                    token:
                                      type: number
                                  required:
                                    - publicKey
                                    - token
                                feeToken:
                                  type: number
                                from:
                                  type: string
                                  minLength: 1
                                fromAccount:
                                  type: object
                                  properties:
                                    publicKey:
                                      type: string
                                      minLength: 1
                                    token:
                                      type: number
                                  required:
                                    - publicKey
                                    - token
                                hash:
                                  type: string
                                  minLength: 1
                                id:
                                  type: string
                                  minLength: 1
                                isDelegation:
                                  type: boolean
                                kind:
                                  type: string
                                  minLength: 1
                                memo:
                                  type: string
                                  minLength: 1
                                nonce:
                                  type: number
                                receiver:
                                  type: object
                                  properties:
                                    publicKey:
                                      type: string
                                      minLength: 1
                                  required:
                                    - publicKey
                                source:
                                  type: object
                                  properties:
                                    publicKey:
                                      type: string
                                      minLength: 1
                                  required:
                                    - publicKey
                                to:
                                  type: string
                                  minLength: 1
                                toAccount:
                                  type: object
                                  properties:
                                    publicKey:
                                      type: string
                                      minLength: 1
                                    token:
                                      type: number
                                  required:
                                    - publicKey
                                    - token
                                token:
                                  type: number
                              required:
                                - amount
                                - blockHeight
                                - blockStateHash
                                - dateTime
                                - fee
                                - feeToken
                                - from
                                - hash
                                - id
                                - isDelegation
                                - kind
                                - memo
                                - nonce
                                - to
                                - token
                        required:
                          - coinbase
                          - coinbaseReceiverAccount
                          - feeTransfer
                      winnerAccount:
                        type: object
                        properties:
                          publicKey:
                            type: string
                            minLength: 1
                        required:
                          - publicKey
                required:
                  - block
              examples:
                Example:
                  value:
                    block:
                      blockHeight: 0
                      canonical: true
                      creator: string
                      creatorAccount:
                        publicKey: string
                      dateTime: string
                      protocolState:
                        blockchainState:
                          date: 0
                          snarkedLedgerHash: string
                          stagedLedgerHash: string
                          utcDate: 0
                        consensusState:
                          blockHeight: 0
                          blockchainLength: 0
                          epoch: 0
                          epochCount: 0
                          hasAncestorInSameCheckpointWindow: true
                          lastVrfOutput: string
                          minWindowDensity: 0
                          nextEpochData:
                            epochLength: 0
                            ledger:
                              hash: string
                              totalCurrency: 0
                            lockCheckpoint: string
                            seed: string
                            startCheckpoint: string
                          slot: 0
                          slotSinceGenesis: 0
                          stakingEpochData:
                            epochLength: 0
                            ledger:
                              hash: string
                              totalCurrency: 0
                            lockCheckpoint: string
                            seed: string
                            startCheckpoint: string
                          totalCurrency: 0
                        previousStateHash: string
                      receivedTime: string
                      snarkJobs:
                        - blockHeight: 0
                          blockStateHash: string
                          dateTime: string
                          fee: 0
                          prover: string
                          workIds:
                            - {}
                      stateHash: string
                      stateHashField: string
                      transactions:
                        coinbase: 0
                        coinbaseReceiverAccount:
                          publicKey: string
                        feeTransfer:
                          - fee: 0
                            recipient: string
                        userCommands:
                          - amount: 0
                            blockHeight: 0
                            blockStateHash: string
                            dateTime: string
                            fee: 0
                            feePayer:
                              publicKey: string
                              token: 0
                            feeToken: 0
                            from: string
                            fromAccount:
                              publicKey: string
                              token: 0
                            hash: string
                            id: string
                            isDelegation: true
                            kind: string
                            memo: string
                            nonce: 0
                            receiver:
                              publicKey: string
                            source:
                              publicKey: string
                            to: string
                            toAccount:
                              publicKey: string
                              token: 0
                            token: 0
                      winnerAccount:
                        publicKey: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                required:
                  - message
              examples:
                Example:
                  value:
                    message: No blocks found for that state hash.

````